Package twisted :: Package mail :: Module maildir :: Class MaildirMailbox

[show private | hide private]
[frames | no frames]

## Class MaildirMailbox

    Mailbox --+
              |
             MaildirMailbox

Implement the POP3 mailbox semantics for a Maildir mailbox

Method Summary
| ``__init__`(self, path)` Initialize with name of the Maildir mailbox
| ``deleteMessage`(self, i)` Delete a message
| ``getMessage`(self, i)` Return an open file-pointer to a message
| ``getUidl`(self, i)` Return a unique identifier for a message
| ``listMessages`(self)` Return a list of lengths of all files in new/ and cur/
| `sync(self)` (inherited from `Mailbox`)
| ``undeleteMessages`(self)` Undelete any deleted messages it is possible to undelete

Method Details

### __init__(self, path)
(Constructor)

Initialize with name of the Maildir mailbox

### deleteMessage(self, i)

Delete a message

This only moves a message to the .Trash/ subfolder, so it can be undeleted by an administrator.

### getMessage(self, i)

Return an open file-pointer to a message

### getUidl(self, i)

Return a unique identifier for a message

This is done using the basename of the filename. It is globally unique because this is how Maildirs are designed.

### listMessages(self)

Return a list of lengths of all files in new/ and cur/

### undeleteMessages(self)

Undelete any deleted messages it is possible to undelete

This moves any messages from .Trash/ subfolder back to their original position, and empties out the deleted dictionary.

Generated by Epydoc 1.1 on Thu May 8 13:16:31 2003 | http://epydoc.sf.net